Subject: 27.2; M-n to auto-complete file path
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Fri, 5 Nov 2021 16:21:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This report is specific to the MS-Windows port of Emacs.

Recipe from 'emacs -Q':
------------
1. Type in the *scratch* buffer the absolute path
   of some existing file of your system, using backslashes.
   For example: "c:\tmp\myfile".
2. Move the cursor (point) just after the ':' in the file path.
3. Type 'C-x C-f M-n' (that is, try to visit the file, by using
   the auto-completion file-path feature).
------------

The behavior I see is that the auto-completion produces just 'c:/',
instead of the expected 'c:/tmp/myfile'.

I see the expected behavior when I move the cursor to any other
position of the file path (in step 2).

In GNU Emacs 27.2 (build 1, x86_64-w64-mingw32)
 of 2021-03-26 built on CIRROCUMULUS
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 6.3.9600
System Description: Microsoft Windows Server 2012 R2 Standard
(v6.3.0.9600.20144)

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

--
Dani Moncayo